Reference data
Look up countries, states, cities and postal codes.
Paths are relative to https://api.rushhourapp.com/api/v1. See the API reference overview for how to read each entry.
Countries and states
| Method | Path | Summary |
|---|---|---|
GET | /Countries | Get countries. |
GET | /Countries/{countryId}/States | Get states. |
GET | /Countries/{stateId}/Cities | List the cities of a state. |
GET /Countries
Get countries.
Response: envelope; data is array of CountryDto.
GET /Countries/{countryId}/States
Get states.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
countryId | path | integer (int32) | Yes |
Response: envelope; data is array of State.
GET /Countries/{stateId}/Cities
List the cities of a state.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
stateId | path | integer (int32) | Yes |
Response: envelope; data is array of City.
Cities and postal codes
| Method | Path | Summary |
|---|---|---|
GET | /Cities | Get cities. |
GET | /Cities/{cityId}/PostalCodes | Get postal codes. |
GET | /Cities/PostalCodes/Validate | Validate postal code. |
GET /Cities
Get cities.
Response: envelope; data is array of City.
GET /Cities/{cityId}/PostalCodes
Get postal codes.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
cityId | path | integer (int32) | Yes |
Response: envelope; data is CityPostalCodesDto.
GET /Cities/PostalCodes/Validate
Validate postal code.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
cityId | query | integer (int32) | No | |
countryId | query | integer (int32) | No | |
postalCode | query | string | No |
Response: envelope; data is PostalCodeValidationDto.